<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>AnnotationMemberDeclaration xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment">  */</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_comment"> * Copyright (C) 2007-2010 Júlio Vilmar Gesser.</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_comment"> * Copyright (C) 2011, 2013-2015 The JavaParser Team.</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment"> * This file is part of JavaParser.</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> * </em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment"> * JavaParser can be used either under the terms of</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_comment"> * a) the GNU Lesser General Public License as published by</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_comment"> *     the Free Software Foundation, either version 3 of the License, or</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_comment"> *     (at your option) any later version.</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment"> * b) the terms of the Apache License </em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_comment"> * You should have received a copy of both licenses in LICENCE.LGPL and</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_comment"> * LICENCE.APACHE. Please refer to those files for details.</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_comment"> * JavaParser is distributed in the hope that it will be useful,</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_comment"> * GNU Lesser General Public License for more details.</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.DocumentableNode;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.NamedNode;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.TypedNode;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.JavadocComment;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.AnnotationExpr;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.GenericVisitor;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.VoidVisitor;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> java.util.List;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment"> * @author Julio Vilmar Gesser</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a> <strong class="jxr_keyword">extends</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BodyDeclaration.html">BodyDeclaration</a> <strong class="jxr_keyword">implements</strong> DocumentableNode, NamedNode, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypedNode.html">TypedNode</a> {
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>      <strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">int</strong> modifiers;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  
<a class="jxr_linenumber" name="L51" href="#L51">51</a>      <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> type;
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>      <strong class="jxr_keyword">private</strong> String name;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>      <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> defaultValue;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  
<a class="jxr_linenumber" name="L57" href="#L57">57</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a>() {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>      }
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  
<a class="jxr_linenumber" name="L60" href="#L60">60</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a>(<strong class="jxr_keyword">int</strong> modifiers, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> type, String name, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> defaultValue) {
<a class="jxr_linenumber" name="L61" href="#L61">61</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L62" href="#L62">62</a>          setType(type);
<a class="jxr_linenumber" name="L63" href="#L63">63</a>          setName(name);
<a class="jxr_linenumber" name="L64" href="#L64">64</a>          setDefaultValue(defaultValue);
<a class="jxr_linenumber" name="L65" href="#L65">65</a>      }
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  
<a class="jxr_linenumber" name="L67" href="#L67">67</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a>(<strong class="jxr_keyword">int</strong> modifiers, List&lt;AnnotationExpr&gt; annotations, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> type, String name, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> defaultValue) {
<a class="jxr_linenumber" name="L68" href="#L68">68</a>          <strong class="jxr_keyword">super</strong>(annotations);
<a class="jxr_linenumber" name="L69" href="#L69">69</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L70" href="#L70">70</a>          setType(type);
<a class="jxr_linenumber" name="L71" href="#L71">71</a>          setName(name);
<a class="jxr_linenumber" name="L72" href="#L72">72</a>          setDefaultValue(defaultValue);
<a class="jxr_linenumber" name="L73" href="#L73">73</a>      }
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  
<a class="jxr_linenumber" name="L75" href="#L75">75</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a>(<strong class="jxr_keyword">int</strong> beginLine, <strong class="jxr_keyword">int</strong> beginColumn, <strong class="jxr_keyword">int</strong> endLine, <strong class="jxr_keyword">int</strong> endColumn, <strong class="jxr_keyword">int</strong> modifiers, List&lt;AnnotationExpr&gt; annotations, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> type, String name, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> defaultValue) {
<a class="jxr_linenumber" name="L76" href="#L76">76</a>          <strong class="jxr_keyword">super</strong>(beginLine, beginColumn, endLine, endColumn, annotations);
<a class="jxr_linenumber" name="L77" href="#L77">77</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L78" href="#L78">78</a>          setType(type);
<a class="jxr_linenumber" name="L79" href="#L79">79</a>          setName(name);
<a class="jxr_linenumber" name="L80" href="#L80">80</a>          setDefaultValue(defaultValue);
<a class="jxr_linenumber" name="L81" href="#L81">81</a>      }
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  
<a class="jxr_linenumber" name="L83" href="#L83">83</a>      @Override
<a class="jxr_linenumber" name="L84" href="#L84">84</a>      <strong class="jxr_keyword">public</strong> &lt;R, A&gt; R accept(GenericVisitor&lt;R, A&gt; v, A arg) {
<a class="jxr_linenumber" name="L85" href="#L85">85</a>          <strong class="jxr_keyword">return</strong> v.visit(<strong class="jxr_keyword">this</strong>, arg);
<a class="jxr_linenumber" name="L86" href="#L86">86</a>      }
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  
<a class="jxr_linenumber" name="L88" href="#L88">88</a>      @Override
<a class="jxr_linenumber" name="L89" href="#L89">89</a>      <strong class="jxr_keyword">public</strong> &lt;A&gt; <strong class="jxr_keyword">void</strong> accept(VoidVisitor&lt;A&gt; v, A arg) {
<a class="jxr_linenumber" name="L90" href="#L90">90</a>          v.visit(<strong class="jxr_keyword">this</strong>, arg);
<a class="jxr_linenumber" name="L91" href="#L91">91</a>      }
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  
<a class="jxr_linenumber" name="L93" href="#L93">93</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> getDefaultValue() {
<a class="jxr_linenumber" name="L94" href="#L94">94</a>          <strong class="jxr_keyword">return</strong> defaultValue;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>      }
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  
<a class="jxr_linenumber" name="L97" href="#L97">97</a>      <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">     * Return the modifiers of this member declaration.</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">     * </em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">     * @see ModifierSet</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">     * @return modifiers</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">int</strong> getModifiers() {
<a class="jxr_linenumber" name="L104" href="#L104">104</a>         <strong class="jxr_keyword">return</strong> modifiers;
<a class="jxr_linenumber" name="L105" href="#L105">105</a>     }
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a>     @Override
<a class="jxr_linenumber" name="L108" href="#L108">108</a>     <strong class="jxr_keyword">public</strong> String getName() {
<a class="jxr_linenumber" name="L109" href="#L109">109</a>         <strong class="jxr_keyword">return</strong> name;
<a class="jxr_linenumber" name="L110" href="#L110">110</a>     }
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 
<a class="jxr_linenumber" name="L112" href="#L112">112</a>     @Override
<a class="jxr_linenumber" name="L113" href="#L113">113</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> getType() {
<a class="jxr_linenumber" name="L114" href="#L114">114</a>         <strong class="jxr_keyword">return</strong> type;
<a class="jxr_linenumber" name="L115" href="#L115">115</a>     }
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 
<a class="jxr_linenumber" name="L117" href="#L117">117</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setDefaultValue(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html">Expression</a> defaultValue) {
<a class="jxr_linenumber" name="L118" href="#L118">118</a>         <strong class="jxr_keyword">this</strong>.defaultValue = defaultValue;
<a class="jxr_linenumber" name="L119" href="#L119">119</a>         setAsParentNodeOf(defaultValue);
<a class="jxr_linenumber" name="L120" href="#L120">120</a>     }
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 
<a class="jxr_linenumber" name="L122" href="#L122">122</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setModifiers(<strong class="jxr_keyword">int</strong> modifiers) {
<a class="jxr_linenumber" name="L123" href="#L123">123</a>         <strong class="jxr_keyword">this</strong>.modifiers = modifiers;
<a class="jxr_linenumber" name="L124" href="#L124">124</a>     }
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 
<a class="jxr_linenumber" name="L126" href="#L126">126</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setName(String name) {
<a class="jxr_linenumber" name="L127" href="#L127">127</a>         <strong class="jxr_keyword">this</strong>.name = name;
<a class="jxr_linenumber" name="L128" href="#L128">128</a>     }
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 
<a class="jxr_linenumber" name="L130" href="#L130">130</a>     @Override
<a class="jxr_linenumber" name="L131" href="#L131">131</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setType(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html">Type</a> type) {
<a class="jxr_linenumber" name="L132" href="#L132">132</a>         <strong class="jxr_keyword">this</strong>.type = type;
<a class="jxr_linenumber" name="L133" href="#L133">133</a>         setAsParentNodeOf(type);
<a class="jxr_linenumber" name="L134" href="#L134">134</a>     }
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 
<a class="jxr_linenumber" name="L136" href="#L136">136</a>     @Override
<a class="jxr_linenumber" name="L137" href="#L137">137</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setJavaDoc(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> javadocComment) {
<a class="jxr_linenumber" name="L138" href="#L138">138</a>         <strong class="jxr_keyword">this</strong>.javadocComment = javadocComment;
<a class="jxr_linenumber" name="L139" href="#L139">139</a>     }
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 
<a class="jxr_linenumber" name="L141" href="#L141">141</a>     @Override
<a class="jxr_linenumber" name="L142" href="#L142">142</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> getJavaDoc() {
<a class="jxr_linenumber" name="L143" href="#L143">143</a>         <strong class="jxr_keyword">return</strong> javadocComment;
<a class="jxr_linenumber" name="L144" href="#L144">144</a>     }
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 
<a class="jxr_linenumber" name="L146" href="#L146">146</a>     <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> javadocComment;
<a class="jxr_linenumber" name="L147" href="#L147">147</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
